<html>
<head>
<title>OGRE: Ogre::GpuProgramParameters::AutoConstantEntry Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1GpuProgramParameters.html">GpuProgramParameters</a>::<a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html">AutoConstantEntry</a></div>
<h1>Ogre::GpuProgramParameters::AutoConstantEntry Class Reference</h1><!-- doxytag: class="Ogre::GpuProgramParameters::AutoConstantEntry" -->Structure recording the use of an automatic parameter.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html#85e851ec680c281b635bb376eccf1338">AutoConstantEntry</a> (<a class="el" href="classOgre_1_1GpuProgramParameters.html#155c886f15e0c10d2c33c224f0d43ce3">AutoConstantType</a> theType, size_t theIndex, size_t theData, size_t theElemCount=4)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html#298399411ddab662f2db3639488bf8e7">AutoConstantEntry</a> (<a class="el" href="classOgre_1_1GpuProgramParameters.html#155c886f15e0c10d2c33c224f0d43ce3">AutoConstantType</a> theType, size_t theIndex, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> theData, size_t theElemCount=4)</td></tr>

<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1GpuProgramParameters.html#155c886f15e0c10d2c33c224f0d43ce3">AutoConstantType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html#9e5a7f1a346e0d4493bb35fdfc5b4bba">paramType</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The type of parameter.  <a href="#9e5a7f1a346e0d4493bb35fdfc5b4bba"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html#e93ddb6e48d13e9768915de45c9a2c57">physicalIndex</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The target (physical) constant index.  <a href="#e93ddb6e48d13e9768915de45c9a2c57"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html#6cd2d6e06a33f89850e9a77e4d61cc00">elementCount</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The number of elements per individual entry in this constant Used in case people used packed elements smaller than 4 (e.g.  <a href="#6cd2d6e06a33f89850e9a77e4d61cc00"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap>union {</td></tr>

<tr><td class="memItemLeft" nowrap>&nbsp;&nbsp;&nbsp;size_t&nbsp;&nbsp;&nbsp;<a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html#e2c1d1787dfea05c7d03d5651f62d4ae">data</a></td></tr>

<tr><td class="memItemLeft" nowrap>&nbsp;&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;&nbsp;&nbsp;<a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html#777743c3d2a651a844e57874d2e34f49">fData</a></td></tr>

<tr><td class="memItemLeft" nowrap valign="top">};&nbsp;</td><td class="memItemRight" valign="bottom"></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Additional information to go with the parameter.  <a href="#9e92d89c563bba752058f0794ea85708"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Structure recording the use of an automatic parameter. 
<p>

<p>Definition at line <a class="el" href="OgreGpuProgram_8h-source.html#l00655">655</a> of file <a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="85e851ec680c281b635bb376eccf1338"></a><!-- doxytag: member="Ogre::GpuProgramParameters::AutoConstantEntry::AutoConstantEntry" ref="85e851ec680c281b635bb376eccf1338" args="(AutoConstantType theType, size_t theIndex, size_t theData, size_t theElemCount=4)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::GpuProgramParameters::AutoConstantEntry::AutoConstantEntry           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1GpuProgramParameters.html#155c886f15e0c10d2c33c224f0d43ce3">AutoConstantType</a>&nbsp;</td>
          <td class="paramname"> <em>theType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>theIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>theData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>theElemCount</em> = <code>4</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreGpuProgram_8h-source.html#l00672">672</a> of file <a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="298399411ddab662f2db3639488bf8e7"></a><!-- doxytag: member="Ogre::GpuProgramParameters::AutoConstantEntry::AutoConstantEntry" ref="298399411ddab662f2db3639488bf8e7" args="(AutoConstantType theType, size_t theIndex, Real theData, size_t theElemCount=4)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::GpuProgramParameters::AutoConstantEntry::AutoConstantEntry           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1GpuProgramParameters.html#155c886f15e0c10d2c33c224f0d43ce3">AutoConstantType</a>&nbsp;</td>
          <td class="paramname"> <em>theType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>theIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>theData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>theElemCount</em> = <code>4</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreGpuProgram_8h-source.html#l00676">676</a> of file <a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="9e5a7f1a346e0d4493bb35fdfc5b4bba"></a><!-- doxytag: member="Ogre::GpuProgramParameters::AutoConstantEntry::paramType" ref="9e5a7f1a346e0d4493bb35fdfc5b4bba" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GpuProgramParameters.html#155c886f15e0c10d2c33c224f0d43ce3">AutoConstantType</a> <a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html#9e5a7f1a346e0d4493bb35fdfc5b4bba">Ogre::GpuProgramParameters::AutoConstantEntry::paramType</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The type of parameter. 
<p>

<p>Definition at line <a class="el" href="OgreGpuProgram_8h-source.html#l00659">659</a> of file <a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e93ddb6e48d13e9768915de45c9a2c57"></a><!-- doxytag: member="Ogre::GpuProgramParameters::AutoConstantEntry::physicalIndex" ref="e93ddb6e48d13e9768915de45c9a2c57" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html#e93ddb6e48d13e9768915de45c9a2c57">Ogre::GpuProgramParameters::AutoConstantEntry::physicalIndex</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The target (physical) constant index. 
<p>

<p>Definition at line <a class="el" href="OgreGpuProgram_8h-source.html#l00661">661</a> of file <a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a>.</p>

<p>Referenced by <a class="el" href="OgreRenderable_8h-source.html#l00252">Ogre::Renderable::_updateCustomGpuParameter()</a>.</p>

</div>
</div><p>
<a class="anchor" name="6cd2d6e06a33f89850e9a77e4d61cc00"></a><!-- doxytag: member="Ogre::GpuProgramParameters::AutoConstantEntry::elementCount" ref="6cd2d6e06a33f89850e9a77e4d61cc00" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html#6cd2d6e06a33f89850e9a77e4d61cc00">Ogre::GpuProgramParameters::AutoConstantEntry::elementCount</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The number of elements per individual entry in this constant Used in case people used packed elements smaller than 4 (e.g. 
<p>
GLSL) and bind an auto which is 4-element packed to it 
<p>Definition at line <a class="el" href="OgreGpuProgram_8h-source.html#l00665">665</a> of file <a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a>.</p>

<p>Referenced by <a class="el" href="OgreRenderable_8h-source.html#l00252">Ogre::Renderable::_updateCustomGpuParameter()</a>.</p>

</div>
</div><p>
<a class="anchor" name="e2c1d1787dfea05c7d03d5651f62d4ae"></a><!-- doxytag: member="Ogre::GpuProgramParameters::AutoConstantEntry::data" ref="e2c1d1787dfea05c7d03d5651f62d4ae" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html#e2c1d1787dfea05c7d03d5651f62d4ae">Ogre::GpuProgramParameters::AutoConstantEntry::data</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreGpuProgram_8h-source.html#l00668">668</a> of file <a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a>.</p>

<p>Referenced by <a class="el" href="OgreRenderable_8h-source.html#l00252">Ogre::Renderable::_updateCustomGpuParameter()</a>.</p>

</div>
</div><p>
<a class="anchor" name="777743c3d2a651a844e57874d2e34f49"></a><!-- doxytag: member="Ogre::GpuProgramParameters::AutoConstantEntry::fData" ref="777743c3d2a651a844e57874d2e34f49" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html#777743c3d2a651a844e57874d2e34f49">Ogre::GpuProgramParameters::AutoConstantEntry::fData</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreGpuProgram_8h-source.html#l00669">669</a> of file <a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9e92d89c563bba752058f0794ea85708"></a><!-- doxytag: member="Ogre::GpuProgramParameters::AutoConstantEntry::@4" ref="9e92d89c563bba752058f0794ea85708" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">union { ... }           </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Additional information to go with the parameter. 
<p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:50 2008
</p>
</body>
</html>
